# redrover

A tool to migrate Puppet Enterprise 3.3 classification data to the 3.7+ classifier (Node Manager) service.

## Usage


### Test Setup

In order to run the tests, you'll need to set up a postgres database to store the test 3.3 classification data.
The version of postgres used must be 9.2 or higher.
By default, the tool tries to connect to a postgres database on the localhost called `redrover-console` as the `redrover` user, with password `redrover`.

To set the default user up, run
```sh
createuser -d redrover -P
```
This will prompt for the password, which is `redrover` by default.

To create the default database, run
```sh
createdb redrover-console -U redrover
```

To test that the defaults were set up correctly, try connection to the database by running
```sh
psql redrover-console -U redrover
```

If you get an error that says something about "peer authentication failed", then you'll need to edit your pg_hba.conf to trust local connections.
You'll want to make sure the following lines are in your pg_hba.conf:
```
# "local" is for Unix domain socket connections only
local   all             all                                     trust
# IPv4 local connections:
host    all             all             127.0.0.1/32            trust
# IPv6 local connections:
host    all             all             ::1/128                 trust
```
If you do edit your pg_hba.conf, then you'll need to restart the postgres service.


## License

Copyright © 2015 Puppet Labs
